package com.alihealth.d2d.provtest.domain;

import com.alihealth.d2d.provtest.entity.BaseEntity;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.dataformat.xml.annotation.JacksonXmlRootElement;
import lombok.Data;

import javax.persistence.Column;
import java.util.Date;

/**
 * @author Jason 国产药品生产信息数据子集
 * @date 2025年06月04日 11:39:02
 */
@Data
@TableName("domestic_drug_production_apply_info")
public class DomesticDrugProductionApplyInfo extends BaseEntity<DomesticDrugProductionApplyInfo> {

    //private String eventId;
    @Column(name = "rec_time")
    private Date recTime;

    @Column(name = "ypzsm")
    private String ypzsm;

    @Column(name = "syjbzypzsm")
    private String syjbzypzsm;

    @Column(name = "bzcj")
    private String bzcj;

    @Column(name = "ymzt")
    private String ymzt;

    @Column(name = "tyshxydmscqy")
    private String tyshxydmscqy;

    @Column(name = "scqymc")
    private String scqymc;

    @Column(name = "yptymc")
    private String yptymc;

    @Column(name = "gjypbsm")
    private String gjypbsm;

    @Column(name = "ymscph")
    private String ymscph;

    @Column(name = "scrq")
    private String scrq;

    @Column(name = "ymyxqjzrq")
    private String ymyxqjzrq;

    @Column(name = "scsl")
    private String scsl;
    @Column(name = "scdz")
    private String scdz;

    @Column(name = "rkdbh")
    private String rkdbh;

    @Column(name = "rksj")
    private String rksj;

    @Column(name = "rkdwmc")
    private String rkdwmc;

    @Column(name = "rkdwtyshxydm")
    private String rkdwtyshxydm;

    @Column(name = "rkdwlx")
    private String rkdwlx;

    @Override
    public Class<DomesticDrugProductionApplyInfo> getEntityClass() {
        return DomesticDrugProductionApplyInfo.class;
    }

    @Override
    public String getDatasetName() {
        return "国产药品生产信息数据子集";
    }
}
